## org.apache.xerces.validators.schema.identity
Class Key

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.IdentityConstraint
            |
            +--org.apache.xerces.validators.schema.identity.Key

public class Key
extends IdentityConstraint

Schema key identity constraint.

Version:
  $Id: Key.java,v 1.3 2001/02/20 06:12:28 andyc Exp $
Author:
  Andy Clark, IBM

Fields inherited from class org.apache.xerces.validators.schema.identity.IdentityConstraint
`fElementName, fFieldCount, fFields, fIdentityConstraintName, fSelector, KEY, KEYREF, UNIQUE`

Constructor Summary
`Key(java.lang.String identityConstraintName, java.lang.String elementName)` Constructs a key with the specified name.

Method Summary
`short` `getType()` Returns the identity constraint type.

Methods inherited from class org.apache.xerces.validators.schema.identity.IdentityConstraint
`addField, equals, getElementName, getFieldAt, getFieldCount, getIdentityConstraintName, getSelector, setSelector, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Key

    public Key(java.lang.String identityConstraintName,
               java.lang.String elementName)

  Constructs a key with the specified name.

Method Detail

### getType

    public short getType()

  Returns the identity constraint type.
  Overrides:
    getType in class IdentityConstraint

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.